Get Interface Behavior

Get Interface Behavior
Get a Behavior in the Defined Interface.

Retrieve a specific Behavior in the specified Defined Interface.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/interfaces/{id}/behaviors/{behaviorId}
COPY
Path Parameters
string
id
Required

id

string
behaviorId
Required

behaviorId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Behavior of type(s) application/json;version=9.1.0
{
    "name": "addNode",
    "id": "urn:vcloud:behavior-type:addNode:vendorA:pksContainerCluster:1.0.0:vendorA:containerCluster:1.0.0",
    "ref": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
    "description": "Adds a node to the cluster.\nParameters:\n  clusterId: the ID of the cluster\n  node: The node address\n",
    "execution": {
        "execution": {}
    }
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/interfaces/{id}/behaviors/{behaviorId}